﻿Module Module1

    Public MustInherit Class DefaultPrinter

        Public Function Describe() As String
            Return "Use this to print documents."
        End Function

        Public MustOverride Sub Print(ByVal document As Object)

    End Class

    Public Class MyPrinter : Inherits DefaultPrinter

        Public Overrides Sub Print(ByVal document As Object)
            Console.WriteLine("Printing document")
        End Sub

    End Class

    Sub Main()
        Dim printer = New MyPrinter()
        printer.Print(New Object())

    End Sub
End Module
